GET /alert-count

GET /alert-count

/alert-count

Request
URI
GET
https://{api_host}/api/alert-count
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AlertCount of type(s) application/json
{
    "count": 0,
    "result": [
        {
            "end": "string",
            "start": "string",
            "timestamp": "string",
            "value": 0
        }
    ]
}
integer As uint32 As uint32
count
Optional

Number of time buckets returned. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
result
Optional

One entry per time bucket, ordered per the sort query param. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/alert-count